Audio
AudioSpeech
Turn audio into text or text into audio.
Create speech
audio.speech.create(SpeechCreateParams**kwargs ) -> BinaryResponseContent
POST
/audio/speechAudioTranscriptions
Turn audio into text or text into audio.
Create transcription
audio.transcriptions.create(TranscriptionCreateParams**kwargs ) -> TranscriptionCreateResponse
POST
/audio/transcriptionsAudioTranslations
Turn audio into text or text into audio.
Create translation
Deprecated
audio.translations.create(TranslationCreateParams**kwargs ) -> TranslationCreateResponse
POST
/audio/translationsAudioVoice Consents
Turn audio into text or text into audio.
Create voice consent
audio.voice_consents.create(VoiceConsentCreateParams**kwargs ) -> VoiceConsent
POST
/audio/voice_consentsDelete voice consent
audio.voice_consents.delete(strconsent_id ) -> VoiceConsentDeleted
DELETE
/audio/voice_consents/{consent_id}List voice consents
audio.voice_consents.list(VoiceConsentListParams**kwargs ) -> SyncCursorPage[VoiceConsent]
GET
/audio/voice_consentsRetrieve voice consent
audio.voice_consents.retrieve(strconsent_id ) -> VoiceConsent
GET
/audio/voice_consents/{consent_id}Update voice consent
audio.voice_consents.update(strconsent_id , VoiceConsentUpdateParams**kwargs ) -> VoiceConsent
POST
/audio/voice_consents/{consent_id}AudioVoices
Turn audio into text or text into audio.